Subject: RE: [seamoby] IRTF mm problem statement

From: Phil Roberts <[email-masked]>
Date: Tue, 1 May 2001 18:58:10 -0400

> > Hi,
> >
> >     I didn't see any of this in the resultant mm problem 
> statement and it
> > didn't come out in the discussions in Minneapolis.  Did it 
> not get any
> > consensus in the seamoby design teams?  I would like to 
> stay focused in this
> > request for the IRTF.  But it sounds like there is a 
> possibility for more
> > work of a different sort.  Don't know where it should be discussed.
> >
> > Phil
> >
> 
> Ok here is a quote directly from the SeaMoby MM problem statement.
> 
> 
>     *  Mobility maintaining the same routable IP address of a mobile
>        node or mobile network.
>     *  Handover between heterogeneous networks.  For example, 802.11,
>        Bluetooth and 3G cellular.
>     *  How to discover a new Access Link and the Access Router serving
>        the new Access Link.
>     *  How to discover the bandwidth, cost, error rate (and other
>        properties) of candidate Access Links.
>     *  Involving QoS characteristics as part of the handover process.
>     *  Optimize the path for mobile-to-mobile communications.
>     *  Enable plug and play capabilities for Mobile Devices, Access
>        Routers/Access Links.
>     *  Support for mobility of mobile hosts and mobile networks
> 
> I don't see the words "host routing" in there anywhere.  I do 
> see lots of
> physical issues related specifically to radio links.  What am 
> I missing in
> your comment?  This was the consensus???
> 
> Best regards,
> 
> Phil
> 
> 
> 

Hi Phil,

I see that in the list from the mm problem statement there is something
about discovery of network/link/access point characteristics, but nothing
like what you were talking about in the email I responded to.

Re: host routing.  The first item does seem to describe host routing,
doesn't it?
>        Mobility maintaining the same routable IP address of a mobile
>        node or mobile network.
Isn't that exactly what you end up with?  An entry in the forwarding table
of the current router and the previous router for that mobile's specific
address which did not change, and a mechanism for propagating that info?

I don't get the impression we're converging on anything or considering
anything new here.  If I'm correct, do you mind if I stop responding to
these?

Phil

---

From: Michael Thomas <[email-masked]>
Date: Tue, 1 May 2001 16:11:06 -0700 (PDT)

> >        Mobility maintaining the same routable IP address of a mobile

   No, because it says mobile network as well. That
   implies the ability to push subnets around, not
   just host routes.

	     Mike

---

From: "Phil Neumiller" <[email-masked]>
Date: Tue, 1 May 2001 18:50:38 -0500

Hello PhilR,

> like what you were talking about in the email I responded to.

Can you point out what this is.  I can't tell from your response what you
are talking about specifically.

> >        Mobility maintaining the same routable IP address of a mobile

No, not to me, at least not from the explanations I have read.

> anything new here.  If I'm correct, do you mind if I stop responding to

Yes I do mind.  Just think of me as a child or something and please break
this down into words I can understand.  I need extra explaining or something
on this because I don't get it.  It is your draft and your words and this problem
is very important to me, and I really want to understand why its host routes
out of the box.

A). Why do you conclude that there is a route propogation solution needed
      already?
B).  There are other possible solutions right?
C).  The mobile may very well need to communicate with the newAR long
       before a route can be "propogated".
D).  Why aren't tunnels discussed as an option?
E).  What if that new router is also a mobile node?

Best regards,

Phil

---

From: Pat Calhoun <[email-masked]>
Date: Tue, 1 May 2001 17:02:17 -0700

> E).  What if that new router is also a mobile node?

Phil,

While I do agree that it would be nice to have some clearer protocol
design details, it begs the question whether this level of detail is
required in a document that is intended to kick start a research
activity. Should the IRTF WG responsible for this work not be the one
that would specify these details? Is it required in this spec?

Seems like we are moving into the solution space :(

PatC

---

From: "Phil Neumiller" <[email-masked]>
Date: Tue, 1 May 2001 19:01:30 -0500

Pat,

Why propose a solution (host routes) to a research activity then?
I would think we would talk more about problems with EXISTING
micro-mobility and macro-mobility solutions so the appropriate
architecture and fit and analysis can be peformed.

I don't get it.  Please explain.

Thanks,

Phil

Now I am really confused.